Package com.databricks.jdbc.dbclient.impl.sqlexec

## Class CommandBuilder

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.sqlexec.CommandBuilder

    public class CommandBuilder
    extends Object

### Constructor Summary

Constructors
`CommandBuilder​(IDatabricksSession session)`
`CommandBuilder​(String catalogName, IDatabricksSession session)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSQLString​(CommandName command)`
`CommandBuilder` `setColumnPattern​(String pattern)`
`CommandBuilder` `setFunctionPattern​(String pattern)`
`CommandBuilder` `setSchema​(String schemaName)`
`CommandBuilder` `setSchemaPattern​(String pattern)`
`CommandBuilder` `setTable​(String tableName)`
`CommandBuilder` `setTablePattern​(String pattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandBuilder

    public CommandBuilder​(String catalogName,
                          IDatabricksSession session)
                   throws SQLException

Throws:
  `SQLException`

#### CommandBuilder

    public CommandBuilder​(IDatabricksSession session)

### Method Detail

#### setSchema

    public CommandBuilder setSchema​(String schemaName)

#### setTable

    public CommandBuilder setTable​(String tableName)

#### setSchemaPattern

    public CommandBuilder setSchemaPattern​(String pattern)

#### setTablePattern

    public CommandBuilder setTablePattern​(String pattern)

#### setColumnPattern

    public CommandBuilder setColumnPattern​(String pattern)

#### setFunctionPattern

    public CommandBuilder setFunctionPattern​(String pattern)

#### getSQLString

    public String getSQLString​(CommandName command)
                        throws SQLException

Throws:
  `SQLException`